import r_core
import ctypes

def flush(c):
	k = c.cons
	k.flush()

c = r_core.RCore ()

h = c.file_open ("/bin/ls", 0, 0);
c.bin_load (None)
print(c._o)
def offsetof(self, field):
        return ctypes.addressof(field) - ctypes.addressof(self)
print ctypes.addressof(c)
print ctypes.addressof(c.config)

cfg = r_core.RConfig(None)
cfg._o = c.get_config()
print (cfg._o)
print (cfg.get_i ("asm.bits"))


